Create Channel Menus
Creates or replaces the list of control panel side navigation menus for a channel.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
channel_id
The ID of a channel.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
bigcommerce_protected_app_sections
List of channel-specific control panel menu navigation items and corresponding settings pages an app developer can choose to enable for the subject channel. Protected settings override any settings set in those UI sections at the storewide level. Learn more in the Building Storefront Channels tutorial.
custom_app_sections
Response
The channel’s control-panel menus.
data
meta
Response metadata.
Errors
422
Unprocessable Entity Error